Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -4903,26 +4566,24 @@
                          lon(i,:) = -180.0_wp  ! section averaged along x
                       ELSE
-                         eutm = init_model%origin_x                              &
-                              + cos_rot_angle * ( section(i,3) + shift_x ) * dx  &
-                              + sin_rot_angle * ( j + shift_y ) * dy
-                         nutm = init_model%origin_y                              &
-                              - sin_rot_angle * ( section(i,3) + shift_x ) * dx  &
-                              + cos_rot_angle * ( j + shift_y ) * dy
-
-                         CALL  convert_utm_to_geographic( crs_list,          &
-                                                          eutm, nutm,        &
-                                                          lon(i,j), lat(i,j) )
+                         eutm = init_model%origin_x                                                &
+                                + cos_rot_angle * ( section(i,3) + shift_x ) * dx                  &
+                                + sin_rot_angle * ( j + shift_y ) * dy
+                         nutm = init_model%origin_y                                                &
+                                - sin_rot_angle * ( section(i,3) + shift_x ) * dx                  &
+                                + cos_rot_angle * ( j + shift_y ) * dy
+
+                         CALL convert_utm_to_geographic( crs_list, eutm, nutm, lon(i,j), lat(i,j) )
                       ENDIF
                    ENDDO
                 ENDDO
 
-                nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_lon_yz(k,av), &
-                                     lon, start = (/ 1, 1 /),       &
-                                     count = (/ ns, ny+1 /) )
+                nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_lon_yz(k,av),                        &
+                                        lon, start = (/ 1, 1 /),                                   &
+                                        count = (/ ns, ny+1 /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 556 )
 
-                nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_lat_yz(k,av), &
-                                     lat, start = (/ 1, 1 /),       &
-                                     count = (/ ns, ny+1 /) )
+                nc_stat = NF90_PUT_VAR( id_set_yz(av), id_var_lat_yz(k,av),                        &
+                                        lat, start = (/ 1, 1 /),                                   &
+                                        count = (/ ns, ny+1 /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 556 )
              ENDDO
@@ -4938,14 +4599,12 @@
 !
 !--       Get the list of variables and compare with the actual run.
-!--       First var_list_old has to be reset, since GET_ATT does not assign
-!--       trailing blanks.
+!--       First var_list_old has to be reset, since GET_ATT does not assign trailing blanks.
           var_list_old = ' '
-          nc_stat = NF90_GET_ATT( id_set_yz(av), NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list_old )
+          nc_stat = NF90_GET_ATT( id_set_yz(av), NF90_GLOBAL, 'VAR_LIST', var_list_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 207 )
 
           var_list = ';'
           i = 1
-          DO WHILE ( do2d(av,i)(1:1) /= ' ' )
+          DO  WHILE ( do2d(av,i)(1:1) /= ' ' )
              IF ( INDEX( do2d(av,i), 'yz' ) /= 0 )  THEN
                 var_list = TRIM( var_list ) // TRIM( do2d(av,i) ) // ';'
@@ -4961,9 +4620,8 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for cross-sections ' //           &
-                              TRIM( var ) // ' from previous run found,' //  &
-                              '&but this file cannot be extended due to' //  &
-                              ' variable mismatch.' //                       &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for cross-sections ' // TRIM( var ) //                  &
+                              ' from previous run found,' //                                       &
+                              '&but this file cannot be extended due to' //                        &
+                              ' variable mismatch.' // '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0249', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -4989,14 +4647,12 @@
           id_dim_x_yz(av) = id_dim_x_yz_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_yz(av), id_dim_x_yz(av), &
-                                            len = ns_old )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_yz(av), id_dim_x_yz(av), LEN = ns_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 210 )
 
           IF ( ns /= ns_old )  THEN
-             message_string = 'netCDF file for cross-sections ' //          &
-                              TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended due to' // &
-                              ' mismatch in number of' //                   &
-                              ' cross sections.' //                         &
+             message_string = 'netCDF file for cross-sections ' // TRIM( var ) //                  &
+                              ' from previous run found,' //                                       &
+                              '&but this file cannot be extended due to' //                        &
+                              ' mismatch in number of' // ' cross sections.' //                    &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0250', 0, 1, 0, 6, 0 )
@@ -5015,12 +4671,10 @@
              IF ( section(i,3) /= -1 )  THEN
                 IF ( ( ( section(i,3) + 0.5 ) * dx ) /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //       &
-                              TRIM( var ) // ' from previous run found,' //    &
-                              ' but this file cannot be extended' //           &
-                              ' due to mismatch in cross' //                   &
-                              ' section levels.' //                            &
-                              ' New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251',             &
-                                                                 0, 1, 0, 6, 0 )
+                   message_string = 'netCDF file for cross-sections ' // TRIM( var ) //            &
+                                    ' from previous run found,' //                                 &
+                                    ' but this file cannot be extended' //                         &
+                                    ' due to mismatch in cross' // ' section levels.' //           &
+                                    ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -5028,12 +4682,10 @@
              ELSE
                 IF ( -1.0_wp /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //       &
-                              TRIM( var ) // ' from previous run found,' //    &
-                              ' but this file cannot be extended' //           &
-                              ' due to mismatch in cross' //                   &
-                              ' section levels.' //                            &
-                              ' New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251',             &
-                                                                 0, 1, 0, 6, 0 )
+                   message_string = 'netCDF file for cross-sections ' // TRIM( var ) //            &
+                                    ' from previous run found,' //                                 &
+                                    ' but this file cannot be extended' //                         &
+                                    ' due to mismatch in cross' // ' section levels.' //           &
+                                    ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -5045,40 +4697,36 @@
 
 !
-!--       Get the id of the time coordinate (unlimited coordinate) and its
-!--       last index on the file. The next time level is pl2d..count+1.
-!--       The current time must be larger than the last output time
-!--       on the file.
+!--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+!--       The next time level is pl2d..count+1.
+!--       The current time must be larger than the last output time on the file.
           nc_stat = NF90_INQ_VARID( id_set_yz(av), 'time', id_var_time_yz(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 212 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_yz(av), id_var_time_yz(av), &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_yz(av), id_var_time_yz(av),                      &
                                            dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 213 )
           id_dim_time_yz(av) = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_yz(av), id_dim_time_yz(av), &
-                                            len = ntime_count )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_yz(av), id_dim_time_yz(av), LEN = ntime_count )
           CALL netcdf_handle_error( 'netcdf_define_header', 214 )
 
 !
-!--       For non-parallel output use the last output time level of the netcdf
-!--       file because the time dimension is unlimited. In case of parallel
-!--       output the variable ntime_count could get the value of 9*10E36 because
-!--       the time dimension is limited.
+!--       For non-parallel output use the last output time level of the netcdf file because the time
+!--       dimension is unlimited. In case of parallel output the variable ntime_count could get the
+!--       value of 9*10E36 because the time dimension is limited.
           IF ( netcdf_data_format < 5 ) do2d_yz_time_count(av) = ntime_count
 
-          nc_stat = NF90_GET_VAR( id_set_yz(av), id_var_time_yz(av),           &
-                                  last_time_coordinate,                        &
-                                  start = (/ do2d_yz_time_count(av) /),        &
+          nc_stat = NF90_GET_VAR( id_set_yz(av), id_var_time_yz(av),                               &
+                                  last_time_coordinate,                                            &
+                                  start = (/ do2d_yz_time_count(av) /),                            &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 215 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for cross sections ' //             &
-                              TRIM( var ) // ' from previous run found,' //    &
-                              '&but this file cannot be extended becaus' //    &
-                              'e the current output time' //                   &
-                              '&is less or equal than the last output t' //    &
-                              'ime on this file.' //                           &
+             message_string = 'netCDF file for cross sections ' // TRIM( var ) //                  &
+                              ' from previous run found,' //                                       &
+                              '&but this file cannot be extended because' //                       &
+                              ' the current output time' //                                        &
+                              '&is less or equal than the last output time' // ' on this file.' // &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0252', 0, 1, 0, 6, 0 )
@@ -5093,10 +4741,9 @@
 !--          compared to the number of time levels in the existing file.
              IF ( ntdim_2d_yz(av) > ntime_count )  THEN
-                message_string = 'netCDF file for cross sections ' //          &
-                                 TRIM( var ) // ' from previous run found,' // &
-                                 '&but this file cannot be extended becaus' // &
-                                 'e the number of output time levels has b' // &
-                                 'een increased compared to the previous s' // &
-                                 'imulation.' //                               &
+                message_string = 'netCDF file for cross sections ' // TRIM( var ) //               &
+                                 ' from previous run found,' //                                    &
+                                 '&but this file cannot be extended because' //                    &
+                                 ' the number of output time levels has ' //                       &
+                                 'been increased compared to the previous ' // 'simulation.' //    &
                                  '&New file is created instead.'
                 CALL message( 'define_netcdf_header', 'PA0391', 0, 1, 0, 6, 0 )
@@ -5106,14 +4753,12 @@
 !--             Recalculate the needed time levels for the new file.
                 IF ( av == 0 )  THEN
-                   ntdim_2d_yz(0) = CEILING(                            &
-                           ( end_time - MAX( skip_time_do2d_yz,         &
-                                             simulated_time_at_begin )  &
-                           ) / dt_do2d_yz )
+                   ntdim_2d_yz(0) = CEILING( ( end_time - MAX( skip_time_do2d_yz,                  &
+                                                               simulated_time_at_begin )           &
+                                             ) / dt_do2d_yz )
                    IF ( do2d_at_begin )  ntdim_2d_yz(0) = ntdim_2d_yz(0) + 1
                 ELSE
-                   ntdim_2d_yz(1) = CEILING(                            &
-                           ( end_time - MAX( skip_time_data_output_av,  &
-                                             simulated_time_at_begin )  &
-                           ) / dt_data_output_av )
+                   ntdim_2d_yz(1) = CEILING( ( end_time - MAX( skip_time_data_output_av,           &
+                                                               simulated_time_at_begin )           &
+                                             ) / dt_data_output_av )
                 ENDIF
                 RETURN
@@ -5127,28 +4772,25 @@
           DO WHILE ( do2d(av,i)(1:1) /= ' ' )
              IF ( INDEX( do2d(av,i), 'yz' ) /= 0 )  THEN
-                nc_stat = NF90_INQ_VARID( id_set_yz(av), do2d(av,i), &
-                                          id_var_do2d(av,i) )
+                nc_stat = NF90_INQ_VARID( id_set_yz(av), do2d(av,i), id_var_do2d(av,i) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 216 )
 #if defined( __netcdf4_parallel )
 !
-!--             Set independent io operations for parallel io. Collective io
-!--             is only allowed in case of a 1d-decomposition along y, because
-!--             otherwise, not all PEs have output data.
+!--             Set independent io operations for parallel io. Collective io is only allowed in case
+!--             of a 1d-decomposition along y, because otherwise, not all PEs have output data.
                 IF ( netcdf_data_format > 4 )  THEN
                    IF ( npex == 1 )  THEN
-                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),     &
-                                                     id_var_do2d(av,i), &
+                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),                                &
+                                                     id_var_do2d(av,i),                            &
                                                      NF90_COLLECTIVE )
                    ELSE
 !
-!--                   Test simulations showed that the output of cross sections
-!--                   by all PEs in data_output_2d using NF90_COLLECTIVE is
-!--                   faster than the output by the first row of PEs in
-!--                   y-direction using NF90_INDEPENDENT.
-                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),     &
-                                                     id_var_do2d(av,i), &
+!--                   Test simulations showed that the output of cross sections by all PEs in
+!--                   data_output_2d using NF90_COLLECTIVE is faster than the output by the first
+!--                   row of PEs in y-direction using NF90_INDEPENDENT.
+                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),                                &
+                                                     id_var_do2d(av,i),                            &
                                                      NF90_COLLECTIVE )
-!                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),     &
-!                                                     id_var_do2d(av,i), &
+!                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_yz(av),                                &
+!                                                     id_var_do2d(av,i),                            &
 !                                                     NF90_INDEPENDENT )
                    ENDIF
@@ -5161,26 +4803,23 @@
 
 !
-!--       Update the title attribute on file
-!--       In order to avoid 'data mode' errors if updated attributes are larger
-!--       than their original size, NF90_PUT_ATT is called in 'define mode'
-!--       enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a possible
-!--       performance loss due to data copying; an alternative strategy would be
-!--       to ensure equal attribute size in a job chain. Maybe revise later.
+!--       Update the title attribute on file.
+!--       In order to avoid 'data mode' errors if updated attributes are larger than their original
+!--       size, NF90_PUT_ATT is called in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF
+!--       calls. This implies a possible performance loss due to data copying; an alternative
+!--       strategy would be to ensure equal attribute size in a job chain. Maybe revise later.
           IF ( av == 0 )  THEN
              time_average_text = ' '
           ELSE
-             WRITE (time_average_text, '('', '',F7.1,'' s average'')') &
-                                                            averaging_interval
+             WRITE ( time_average_text, '('', '',F7.1,'' s average'')' )  averaging_interval
           ENDIF
           nc_stat = NF90_REDEF( id_set_yz(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 435 )
-          nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'title',         &
-                                  TRIM( run_description_header ) //            &
-                                  TRIM( time_average_text ) )
+          nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'title',                             &
+                                  TRIM( run_description_header ) // TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 217 )
           nc_stat = NF90_ENDDEF( id_set_yz(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 436 )
-          message_string = 'netCDF file for cross-sections ' //                &
-                            TRIM( var ) // ' from previous run found.' //      &
+          message_string = 'netCDF file for cross-sections ' //                                    &
+                            TRIM( var ) // ' from previous run found.' //                          &
                            '&This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0253', 0, 0, 0, 6, 0 )
@@ -5193,23 +4832,24 @@
 
           IF ( averaging_interval_pr /= 0.0_wp )  THEN
-             CALL netcdf_create_global_atts( id_set_pr, 'podsprav', TRIM( run_description_header ), 451 )
+             CALL netcdf_create_global_atts( id_set_pr, 'podsprav', TRIM( run_description_header ),&
+                                             451 )
              WRITE ( time_average_text,'(F7.1,'' s avg'')' ) averaging_interval_pr
-             nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'time_avg',       &
-                                     TRIM( time_average_text ) )
+             nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'time_avg', TRIM( time_average_text ) )
           ELSE
-             CALL netcdf_create_global_atts( id_set_pr, 'podspr', TRIM( run_description_header ), 451 )
+             CALL netcdf_create_global_atts( id_set_pr, 'podspr', TRIM( run_description_header ),  &
+                                             451 )
           ENDIF
           CALL netcdf_handle_error( 'netcdf_define_header', 219 )
 !
-!--       Write number of columns and rows of coordinate systems to be plotted
-!--       on one page to the netcdf header.
+!--       Write number of columns and rows of coordinate systems to be plotted on one page to the
+!--       netcdf header.
 !--       This information can be used by palmplot.
-          nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL,                     &
-                                  'no_rows',                                  &
+          nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL,                                          &
+                                  'no_rows',                                                       &
                                   profile_rows )
           CALL netcdf_handle_error( 'netcdf_define_header', 519 )
 
-          nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL,                     &
-                                  'no_columns',                               &
+          nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL,                                          &
+                                  'no_columns',                                                    &
                                   profile_columns )
           CALL netcdf_handle_error( 'netcdf_define_header', 520 )
@@ -5221,7 +4861,7 @@
 
 !
-!--       Each profile defined in cross_profiles is written to an array
-!--       (cross_profiles_char). The number of the respective coordinate
-!--       system is assigned in a second array (cross_profiles_numb).
+!--       Each profile defined in cross_profiles is written to an array (cross_profiles_char). The
+!--       number of the respective coordinate system is assigned in a second array
+!--       (cross_profiles_numb).
           k = 1
 
@@ -5235,6 +4875,5 @@
                 IF ( delim == 1 )  EXIT
                 kk = MIN( crmax, k )
-                cross_profiles_char(kk) = cross_profiles_adj(i)(delim_old+1: &
-                                                              delim_old+delim-1)
+                cross_profiles_char(kk) = cross_profiles_adj(i)(delim_old+1:delim_old+delim-1)
                 cross_profiles_numb(kk) = i
                 k = k + 1
@@ -5247,11 +4886,10 @@
           cross_profiles_count = MIN( crmax, k-1 )
 !
-!--       Check if all profiles defined in cross_profiles are defined in
-!--       data_output_pr. If not, they will be skipped.
+!--       Check if all profiles defined in cross_profiles are defined in data_output_pr. If not,
+!--       they will be skipped.
           DO  i = 1, cross_profiles_count
              DO  j = 1, dopr_n
 
-                IF ( TRIM(cross_profiles_char(i)) == TRIM(data_output_pr(j)) ) &
-                THEN
+                IF ( TRIM( cross_profiles_char(i) ) == TRIM( data_output_pr(j) ) )  THEN
                    EXIT
                 ENDIF
@@ -5267,5 +4905,5 @@
              IF ( cross_profiles_numb(i) == 999999 ) THEN
                 DO j = i + 1, crmax
-                   IF ( cross_profiles_numb(j) /= 999999 ) THEN
+                   IF ( cross_profiles_numb(j) /= 999999 )  THEN
                       cross_profiles_char(i) = cross_profiles_char(j)
                       cross_profiles_numb(i) = cross_profiles_numb(j)
@@ -5284,22 +4922,20 @@
           ENDDO
 !
-!--       Check if all profiles defined in data_output_pr are defined in
-!--       cross_profiles. If not, they will be added to cross_profiles.
+!--       Check if all profiles defined in data_output_pr are defined in cross_profiles. If not,
+!-        they will be added to cross_profiles.
           DO  i = 1, dopr_n
              DO  j = 1, cross_profiles_count
 
-                IF ( TRIM(cross_profiles_char(j)) == TRIM(data_output_pr(i)))  &
-                THEN
+                IF ( TRIM( cross_profiles_char(j) ) == TRIM( data_output_pr(i) ) )  THEN
                    EXIT
                 ENDIF
 
-                IF (( j == cross_profiles_count ) .AND.                        &
-                    ( cross_profiles_count <= crmax - 1))  THEN
+                IF ( ( j == cross_profiles_count )  .AND.  ( cross_profiles_count <= crmax - 1) )  &
+                THEN
                    cross_profiles_count = cross_profiles_count + 1
                    cross_profiles_maxi  = cross_profiles_maxi  + 1
-                   cross_profiles_char(MIN( crmax, cross_profiles_count )) =   &
-                                                      TRIM( data_output_pr(i) )
-                   cross_profiles_numb(MIN( crmax, cross_profiles_count )) =   &
-                                                      cross_profiles_maxi
+                   cross_profiles_char(MIN( crmax, cross_profiles_count )) =                       &
+                                                                           TRIM( data_output_pr(i) )
+                   cross_profiles_numb(MIN( crmax, cross_profiles_count )) = cross_profiles_maxi
                 ENDIF
 
@@ -5308,15 +4944,13 @@
 
           IF ( cross_profiles_count >= crmax )  THEN
-             message_string = 'It is not allowed to arrange more than '        &
-                              // '100 profiles with & cross_profiles. Apart'   &
-                              // ' from that, all profiles are saved & to '    &
-                              // 'the netCDF file.'
+             message_string = 'It is not allowed to arrange more than ' //                         &
+                              '100 profiles with & cross_profiles. Apart' //                       &
+                              ' from that, all profiles are saved & to ' // 'the netCDF file.'
              CALL message( 'define_netcdf_header', 'PA0354', 0, 0, 0, 6, 0 )
           ENDIF
 
 !
-!--       Writing cross_profiles to netcdf header. This information can be
-!--       used by palmplot. Each profile is separated by ",", each cross is
-!--       separated by ";".
+!--       Writing cross_profiles to netcdf header. This information can be used by palmplot. Each
+!--       profile is separated by ",", each cross is separated by ";".
           char_cross_profiles = ';'
           id_last = 1
@@ -5327,11 +4961,11 @@
              IF ( cross_profiles_numb(i) /= 999999 )  THEN
                 IF ( TRIM( char_cross_profiles ) == ';' )  THEN
-                   char_cross_profiles = TRIM( char_cross_profiles ) // &
+                   char_cross_profiles = TRIM( char_cross_profiles ) //                            &
                                          TRIM( cross_profiles_char(i) )
                 ELSEIF ( id_last == cross_profiles_numb(i) )  THEN
-                   char_cross_profiles = TRIM( char_cross_profiles ) // &
+                   char_cross_profiles = TRIM( char_cross_profiles ) //                            &
                                          ',' // TRIM( cross_profiles_char(i) )
                 ELSE
-                   char_cross_profiles = TRIM( char_cross_profiles ) // &
+                   char_cross_profiles = TRIM( char_cross_profiles ) //                            &
                                          ';' // TRIM( cross_profiles_char(i) )
                 ENDIF
@@ -5343,5 +4977,5 @@
           char_cross_profiles = TRIM( char_cross_profiles ) // ';'
 
-          nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'cross_profiles',   &
+          nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'cross_profiles',                        &
                                   TRIM( char_cross_profiles ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 521 )
@@ -5349,9 +4983,7 @@
 !
 !--       Define time coordinate for profiles (unlimited dimension)
-          CALL netcdf_create_dim( id_set_pr, 'time', NF90_UNLIMITED,           &
-                                  id_dim_time_pr, 220 )
-          CALL netcdf_create_var( id_set_pr, (/ id_dim_time_pr /), 'time',     &
-                                  NF90_DOUBLE, id_var_time_pr, 'seconds', 'time',  &
-                                  221, 222, 000 )
+          CALL netcdf_create_dim( id_set_pr, 'time', NF90_UNLIMITED, id_dim_time_pr, 220 )
+          CALL netcdf_create_var( id_set_pr, (/ id_dim_time_pr /), 'time', NF90_DOUBLE,            &
+                                  id_var_time_pr, 'seconds', 'time', 221, 222, 000 )
           CALL netcdf_create_att( id_set_pr, id_var_time_pr, 'standard_name', 'time', 000)
           CALL netcdf_create_att( id_set_pr, id_var_time_pr, 'axis', 'T', 000)
